<?php
/**
 * Footer Options.
 *
 * @package blogging_hub
 */

// Add Panel.
$wp_customize->add_panel( 'footer_option_panel',
	array(
		'title'      => __( 'Footer Options', 'blogging-hub' ),
		'priority'   => 100,
		'capability' => 'edit_theme_options',
	)
);

// Footer text section
$wp_customize->add_section('section_footer', array(    
	'title' => __('Footer Text Options', 'blogging-hub'),
	'panel' => 'footer_option_panel'    
));

// ✅ Add Setting
$wp_customize->add_setting('blogging_hub_copyright_option', array(
	'default'           => '',
	'sanitize_callback' => 'sanitize_text_field',
));

// ✅ Add Control
$wp_customize->add_control('blogging_hub_copyright_option', array(
	'label'   => __('Footer Copyright Text', 'blogging-hub'),
	'section' => 'section_footer',
	'type'    => 'text',
));